=head1 NAME

Gtk2::EventBox

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::EventBox



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::EventBox-E<gt>B<new> 

=head2 boolean = $event_box-E<gt>B<get_above_child> 

Since: gtk+ 2.4

=head2 $event_box-E<gt>B<set_above_child> ($above_child)

=over

=item * $above_child (boolean) 

=back

Since: gtk+ 2.4

=head2 boolean = $event_box-E<gt>B<get_visible_window> 

Since: gtk+ 2.4

=head2 $event_box-E<gt>B<set_visible_window> ($visible_window)

=over

=item * $visible_window (boolean) 

=back

Since: gtk+ 2.4



=cut


=head1 PROPERTIES

=over

=item 'above-child' (boolean : default false : readable / writable / private)

Whether the event-trapping window of the eventbox is above the window of the child widget as opposed to below it.

=item 'visible-window' (boolean : default true : readable / writable / private)

Whether the event box is visible, as opposed to invisible and only used to trap events.

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

